/**
 * <copyright>
 * </copyright>
 *
 * $Id: DimensionValidator.java,v 1.1 2008-04-01 09:35:33 vmahe Exp $
 */
package orgomg.cwm.analysis.olap.validation;

import org.eclipse.emf.common.util.EList;

import orgomg.cwm.analysis.olap.CubeDimensionAssociation;
import orgomg.cwm.analysis.olap.Hierarchy;
import orgomg.cwm.analysis.olap.MemberSelection;
import orgomg.cwm.analysis.olap.Schema;

/**
 * A sample validator interface for {@link orgomg.cwm.analysis.olap.Dimension}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface DimensionValidator {
	boolean validate();

	boolean validateIsTime(boolean value);
	boolean validateIsMeasure(boolean value);
	boolean validateMemberSelection(EList<MemberSelection> value);
	boolean validateCubeDimensionAssociation(EList<CubeDimensionAssociation> value);
	boolean validateHierarchy(EList<Hierarchy> value);
	boolean validateDisplayDefault(Hierarchy value);
	boolean validateSchema(Schema value);
}
